> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iso20022js.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post payment transfersswift



## OpenAPI

````yaml openapi.documented.json post /payment-transfers/swift
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fiat Web Services API
servers: []
security: []
paths:
  /payment-transfers/swift:
    post:
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                message:
                  type: string
                  description: The XML message of the transfer.
                  example: <xml/>
              required:
                - message
              additionalProperties: false
      responses:
        '200':
          description: The payment transfer creation response.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The internal ID of the payment transfer.
                    example: 019545cd-c9d1-797d-b2e8-e704c3109311
                  organizationId:
                    type: string
                    description: The internal ID of the organization.
                    example: 019545cd-c9d1-797d-b2e8-e704c3109311
                  createdAt:
                    type: string
                    description: The date and time when the payment transfer was created
                    example: '2025-02-27'
                  direction:
                    type: string
                    enum:
                      - debit
                      - credit
                    description: The direction of the payment transfer.
                    example: credit
                  messageId:
                    type: string
                    nullable: true
                    description: >-
                      The message ID of the payment transfer. Used to identify
                      the message.
                    example: '1234'
                  type:
                    type: string
                    enum:
                      - swift
                      - sepa
                      - ach
                      - rtp
                    description: The payment rail type of the transfer.
                    example: sepa
                  initiatingPartyId:
                    type: string
                    description: The initiating party of the payment transfer.
                    example: 019545cd-c9d1-797d-b2e8-e704c3109311
                  creationDate:
                    type: string
                    nullable: true
                    description: The date and time when the payment transfer was created
                    example: '2025-02-27'
                  categoryPurposeCode:
                    type: string
                    nullable: true
                    description: The category purpose code of the payment transfer.
                    example: '1234'
                  paymentInformationId:
                    type: string
                    nullable: true
                    description: >-
                      The information ID of the payment transfer. Used to
                      identify the entire transfer.
                    example: '1234'
                required:
                  - id
                  - organizationId
                  - createdAt
                  - direction
                  - type
                  - initiatingPartyId
                description: The payment transfer object.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                    example: Invalid payment type
                required:
                  - error
                description: The error response.
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Fiatwebservices from 'fiatwebservices';

            const client = new Fiatwebservices({
              apiKey: process.env['FWS_API_KEY'], // This is the default and can be omitted
            });

            async function main() {
              const swift = await client.transfer.swift.create({ message: '<xml/>' });

              console.log(swift.id);
            }

            main();

````